This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 619791 - tigervnc-server missing requires=perl
tigervnc-server missing requires=perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 10:42 EDT by Jack Perdue
Modified: 2013-04-30 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-0.18.20100813svn4123.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jack Perdue 2010-07-30 10:42:15 EDT
Description of problem:

If perl is not installed on the system, running the vncserver init script results in:

/usr/bin/env: perl: No such file or directory 


Version-Release number of selected component (if applicable):

tigervnc-server-1.0.90-0.12.20100420svn4030.fc13.x86_64


How reproducible:

Very.


Steps to Reproduce:
1. yum remove perl
2. yum install tigervnc-server
3. service vncserver start
  

Actual results:

/usr/bin/env: perl: No such file or directory 


Expected results:

No error.


Additional info:

$ rpm -q --requires tigervnc-server | grep perl
$ head -1 /usr/bin/vncserver 
#!/usr/bin/env perl
$ rpm -qf /usr/bin/vncserver
tigervnc-server-1.0.90-0.12.20100420svn4030.fc13.x86_64

Problem originally noted in this thread:

http://forums.fedoraforum.org/showthread.php?t=249301

SS
Comment 1 Adam Tkac 2010-08-13 06:18:03 EDT
This issue will be fixed only in Fedora 14. If you would like to get fix to Fedora 13 as well, please write a comment here.
Comment 2 Fedora Update System 2010-08-13 06:26:07 EDT
tigervnc-1.0.90-0.18.20100813svn4123.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.18.20100813svn4123.fc14
Comment 3 Fedora Update System 2010-08-23 21:52:47 EDT
tigervnc-1.0.90-0.18.20100813svn4123.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.